Posts
Get Post
Get details of a post from your account.
https://v1.apifansly.com/api/fansly
GET
/{account_id}/posts/{post_id}
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X GET "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}", {
method: "GET",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}"
headers = {"x-api-key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}");
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/posts/{post_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
fmt.Println(resp.Status)
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
post_id*
stringThe unique identifier for the post to retrieve.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"posts": [
{
"id": "post_id",
"accountId": "account_id",
"content": "Sample post content here...",
"fypFlags": 0,
"inReplyTo": null,
"inReplyToRoot": null,
"createdAt": 1774387715,
"expiresAt": null,
"attachments": [],
"likeCount": 0,
"replyCount": 1,
"mediaLikeCount": 0,
"totalTipAmount": 0,
"attachmentTipAmount": 0,
"accountMentions": []
}
],
"aggregatedPosts": [],
"accountMediaBundles": [],
"accountMedia": [],
"accounts": [
{
"id": "account_id",
"email": "creator@example.com",
"username": "creator_handle",
"displayName": "Creator Name",
"flags": 18,
"version": 3
///....
}
]
}
}
},
"timestamp": "2026-05-25T17:03:15.455Z"
}